Bug 85231 - Unclear difference between HTML export and save, html5 instead of html4
Summary: Unclear difference between HTML export and save, html5 instead of html4
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2014-10-20 10:59 UTC by Rezonansowy
Modified: 2018-03-30 07:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rezonansowy 2014-10-20 10:59:38 UTC
I've experienced this when I've exported LO's LICENSE document to HTML (from read-only mode). The encoding was:
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

It's very old technology and export to something like this isn't a right way. I think we should switch to HTML5 and add ability to select XHTML optionally.

The current problem is that there's no clear way to save/export document to HTML.
We have:
* save dialog - olde HTML4 Transitional as one and only option to save docs in HTML
* export dialog - XHTML 1.1 plus MathML 2.0 in exporting

What is the difference between them? LO can edit HTML5 docs with no problems.

My proposal:
* make HTML5 save format instead of HTML4 Transitional
* stop offer to save in HTML4 Transitional
* remove HTML entry from export dialog, HTML could be edited in LO Writer, unlike PDF
* make two entries (split current option) in save dialog: HTML5 (.html) and XHTML (.html)
Comment 1 Robinson Tryon (qubit) 2014-10-26 20:19:15 UTC
(In reply to Rezonansowy from comment #0)
> I've experienced this when I've exported LO's LICENSE document to HTML (from
> read-only mode). The encoding was:
> <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
> 
> It's very old technology and export to something like this isn't a right
> way. I think we should switch to HTML5 and add ability to select XHTML
> optionally.

(Marking as Enhancement)

> 
> The current problem is that there's no clear way to save/export document to
> HTML.
> We have:
> * save dialog - olde HTML4 Transitional as one and only option to save docs
> in HTML
> * export dialog - XHTML 1.1 plus MathML 2.0 in exporting
> 
> What is the difference between them?

Well they're different export mechanisms. I think the HTML4 ("html") export is a bit older addition to the codebase.

> LO can edit HTML5 docs with no problems.
> 
> My proposal:
> * make HTML5 save format instead of HTML4 Transitional
> * stop offer to save in HTML4 Transitional
> * remove HTML entry from export dialog, HTML could be edited in LO Writer,
> unlike PDF
> * make two entries (split current option) in save dialog: HTML5 (.html) and
> XHTML (.html)

This seems mostly reasonable. IIRC, stuff in the Save(-As) dialog are mostly editable formats, and stuff in the Export dialog are more read-only formats; I'm not sure the precise thinking about HTML in the Save dialog :-)

The one question I have is: Would we lose support with older browsers if we moved export to a newer version of HTML?

Status -> NEW
Comment 2 Rezonansowy 2014-10-26 22:33:57 UTC
(In reply to Robinson Tryon (qubit) from comment #1)
> The one question I have is: Would we lose support with older browsers if we
> moved export to a newer version of HTML?

Rather no, most HTML common tags are same, and the specific others, like <section> or <article> are purely semantic and safely ignored in older browser. See https://en.wikipedia.org/wiki/HTML5#Error_handling
Comment 3 Robinson Tryon (qubit) 2015-02-02 22:16:34 UTC
On Mon, Feb 2, 2015 at 11:00 PM, <bugzilla-daemon@bugs.documentfoundation.org> wrote:
    Rezonansowy changed bug 85231
    What 	Removed 	Added
    Severity 	enhancement 	normal

If you don't consider this an enhancement, then you need to justify why it's a defect

Status -> NEEDINFO

It would also be helpful to have the version set, just in case someone makes changes to HTML export in the future.
Comment 4 Rezonansowy 2015-02-03 00:04:47 UTC
(In reply to Robinson Tryon (qubit) from comment #3)
> On Mon, Feb 2, 2015 at 11:00 PM,
> <bugzilla-daemon@bugs.documentfoundation.org> wrote:
>     Rezonansowy changed bug 85231
>     What 	Removed 	Added
>     Severity 	enhancement 	normal
> 
> If you don't consider this an enhancement, then you need to justify why it's
> a defect
> 
> Status -> NEEDINFO
> 
> It would also be helpful to have the version set, just in case someone makes
> changes to HTML export in the future.

See above:

> The current problem is that there's no clear way to save/export document to > > HTML.
> We have:
> * save dialog - olde HTML4 Transitional as one and only option to save docs in HTML
> * export dialog - XHTML 1.1 plus MathML 2.0 in exporting
Comment 5 Rezonansowy 2015-02-26 00:28:45 UTC
I think we have enough information.
Comment 6 Rezonansowy 2015-02-26 00:32:45 UTC
This bug applies to other LO components as well.
Comment 7 tommy27 2016-04-16 07:25:59 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-05-22 13:21:39 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522